package link

// Repository represent the link repository contract
type Repository interface {
	Store(a *Model) error
	GetByHash(hash string) (*Model, error)
	GetByID(id int64) (*Model, error)
	Update(a *Model) error
	GetAll() ([]*Model, error)
	Delete(id int64) error
}
